import { Injectable } from "@angular/core";
import Parse from "parse";
import { HttpClient } from "@angular/common/http";

@Injectable({
  providedIn: "root",
})
export class textbookServer {
  company: string = localStorage.getItem("company")!;
  theme: boolean = false; //深色主题模式
  profile:any = JSON.parse(localStorage.getItem('profile')!)
  constructor(private http: HttpClient) {
  }
  authMobile(mobile: string): boolean {
    let a = /^1[3456789]\d{9}$/;
    if (!String(mobile).match(a)) {
      return false;
    }
    return true;
  }

}
